Sponsor

Sponsor

Utilizzare una versione differente di php nei domini

Home Forum Server Server Dedicati Aruba Aruba – Server dedicati standard Plesk Desk Utilizzare una versione differente di php nei domini

Questo argomento contiene 0 risposte, ha 1 partecipante, ed è stato aggiornato da  Stefano Brizzante 1 anno fa.

Stai vedendo 1 articolo (di 1 totali)
  • Autore
    Articoli
  • #160806

    Stefano Brizzante
    Amministratore del forum

    La versione del php da linea di comando non corrisponde con la versione del php utilizzata nel dominio.

    Plesk, attualmente supporta varie versioni di php, che le troviamo nel percorso

    /opt/plesk/php/

    Supponimao che in alcuni domini utilizziamo una versione di php differente da quella presente in plesk di base,
    dunque da linea di comando digitiamo alcuni comandi che devono essere interpretati con versioni superiori a quella di base presente in plesk
    abbiamo quindi necessità di utilizzare la versione maggiore di php come fare?

    per prima cosa controlliamo la versione php presente nella console

    php -v

    otterremo la risposta della versione php utilizzata

    controlliamo il percorso del php utilizzato

    which php

    e otterremo di risposta il percorso del php utilizzato ad esempio

    /usr/bin/php

    Ora andiamo ad apportare le modifiche della versione php da utilizzare,
    digitiamo

    export PATH=/opt/plesk/php/7.0/bin:$PATH

    controlliamo ora la versione di php in uso

    php -v

    e il percorso

    which php

    dovremmo ottenere la seguente risposta

    /opt/plesk/php/7.0/bin/php

    fine

Stai vedendo 1 articolo (di 1 totali)

Devi essere loggato per rispondere a questa discussione.

Sponsor

TAG

Cerca con Google

google-searchNon hai trovato quello che cercavi?

prova a fare una ricerca con Google

Generazione2000 © 2015 Generazione2000 è un prodotto di EsseBi Tecnologia Partita Iva: 00358578888